#pragma once

#include "common.h"
#include "formatter.h"

namespace maps::wiki::poi {

class NamesFeedComponent;

class IndoorNamesXmlFormatter {
public:
    IndoorNamesXmlFormatter(std::ostream& out);

    ~IndoorNamesXmlFormatter();

    void append(const PoiDef& poiDef, const NamesFeedComponent& names);

private:
    OutputStreamEmitter emitter_;
};

} // namespace maps::wiki::poi

